# Nagios Module

## Overview

This module install and configure nagios IT infrastructure monitoring server.

## Usage

Default configuration:

```puppet
include nagios
```

Change configuration file settings:

```puppet
class { 'nagios':
    cfg_dir => [ '/etc/nagios/servers' ],
    email   => 'admin@example.com',
}
```

Add nagios remote host:

```puppet
class { 'nagios::clients':
    define  => {
        'host' => [
            'use                    linux-server',
            'host_name              client',
            'alias                  client',
            'address                127.0.0.1',
            'max_check_attempts     5',
            'check_period           24x7',
            'notification_interval  30',
            'notification_period    24x7',
        ],
    },
}
```

Host configuration file settings:

```puppet
class { 'nagios::nrpe':
    allowed_hosts   => '127.0.0.1',
}
```
